#ifndef _fox_wl_h_
#define _fox_wl_h_

typedef struct cmd cmd_t;
typedef int (cmd_func_t)(char *wlif, cmd_t *cmd, char **argv);

/* generic command line argument handler */
struct cmd {
	char *name;
	cmd_func_t *func;
	int get;
	int set;
	char *help;
};

/* Added by zacker,01/26/2008 */
typedef struct {
  uint32          rssi;        /* RSSI */
  struct ether_addr ea;        /* MAC address */
  uint16          unknown;    /* 41 then 00 :0x0041*/
} wlc_rssi_t;


/* integer output format */
#define INT_FMT_DEC	0	/* signed integer */
#define INT_FMT_UINT	1	/* unsigned integer */
#define INT_FMT_HEX	2	/* hexdecimal */

/* command line argument usage */
#define CMD_ERR	-1
#define CMD_OPT	0	/* a command line option */
#define CMD_WL	1	/* the start of a wl command */


#endif //
